/**
 * @param { 要去重的数组 } arr
 * @param { 去重的参数 } prop
 */
export const mapSetArray = (arr, prop) => {
  let map = new Map()
  for (let item of arr) {
    if (!map.has(item[prop])) {
      map.set(item[prop], item)
    }
  }
  return [...map.values()]
}

export const sortArrBypropoty = (arr, prop) => {
  return arr.sort((a, b) => {
    return a[prop] - b[prop]
  })
}
